#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses network)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	WWW
%define		pnam	libwww-perl
Summary:	libwww-perl - a simple and consistent API to the World-Wide Web
Summary(pl.UTF-8):	libwww-perl - prosty i logiczny API do WWW
Name:		perl-libwww
Version:	6.05
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/WWW/GAAS/%{pnam}-%{version}.tar.gz
# Source0-md5:	637d5f1eb61336ca2caa6e026b382f87
URL:		http://search.cpan.org/dist/libwww-perl/
BuildRequires:	perl-devel >= 1:5.8.8
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.663
%if %{with tests}
BuildRequires:	perl(Net::FTP) >= 2.58
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-Encode >= 2.12
BuildRequires:	perl-Encode-Locale
BuildRequires:	perl-File-Listing >= 6
BuildRequires:	perl-HTML-Parser >= 3.33
BuildRequires:	perl-HTTP-Cookies >= 6
BuildRequires:	perl-HTTP-Daemon >= 6
BuildRequires:	perl-HTTP-Date >= 6
BuildRequires:	perl-HTTP-Message >= 6
BuildRequires:	perl-HTTP-Negotiate >= 6
BuildRequires:	perl-LWP-MediaTypes >= 6
BuildRequires:	perl-MIME-Base64 >= 2.1
BuildRequires:	perl-Net-HTTP >= 6.04
BuildRequires:	perl-URI >= 1.10
BuildRequires:	perl-WWW-RobotRules >= 6
BuildRequires:	perl-libnet
%endif
Requires:	perl-File-Listing >= 6
Requires:	perl-HTTP-Cookies >= 6
Requires:	perl-HTTP-Daemon >= 6
Requires:	perl-HTTP-Date >= 6
Requires:	perl-HTTP-Message >= 6
Requires:	perl-HTTP-Negotiate >= 6
Requires:	perl-LWP-MediaTypes >= 6
Requires:	perl-MIME-Base64 >= 2.1
Requires:	perl-Net-HTTP >= 6.04
Requires:	perl-URI >= 1.10
Requires:	perl-WWW-RobotRules >= 6
Obsoletes:	perl-libwww-perl
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# modules not always required
%define	_noautoreq_perl	HTTP::GHTTP Authen::NTLM

%description
The libwww-perl collection is a set of Perl modules which provides a
simple and consistent application programming interface to the
World-Wide Web. The main focus of the library is to provide classes
and functions that allow you to write WWW clients. The library also
contain modules that are of more general use and even classes that
help you implement simple HTTP servers.

%description -l pl.UTF-8
libwww-perl jest zbiorem modułów Perla, dostarczających prostego API
do WWW (World-Wide Web). Głównym zadaniem biblioteki jest
udostępnianie klas i funkcji, pozwalających na pisanie klientów WWW.
Biblioteka zawiera także moduły bardziej ogólnego przeznaczenia, a
nawet klasy, pozwalające na implementację prostego serwera HTTP.

%prep
%setup -q -n libwww-perl-%{version}

%build
yes | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

for file in GET HEAD POST; do
	ln -sf lwp-request $RPM_BUILD_ROOT%{_bindir}/$file
	rm -f $RPM_BUILD_ROOT%{_mandir}/man1/$file.1p
	echo '.so lwp-request.1p' > $RPM_BUILD_ROOT%{_mandir}/man1/$file.1p
done

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README*
%attr(755,root,root) %{_bindir}/GET
%attr(755,root,root) %{_bindir}/HEAD
%attr(755,root,root) %{_bindir}/POST
%attr(755,root,root) %{_bindir}/lwp-*
%{perl_vendorlib}/LWP.pm
%{perl_vendorlib}/LWP/Authen
%{perl_vendorlib}/LWP/ConnCache.pm
%{perl_vendorlib}/LWP/Debug.pm
%{perl_vendorlib}/LWP/DebugFile.pm
%{perl_vendorlib}/LWP/MemberMixin.pm
%{perl_vendorlib}/LWP/Protocol.pm
%{perl_vendorlib}/LWP/Protocol
%{perl_vendorlib}/LWP/RobotUA.pm
%{perl_vendorlib}/LWP/Simple.pm
%{perl_vendorlib}/LWP/UserAgent.pm
%{_mandir}/man1/GET.1p*
%{_mandir}/man1/HEAD.1p*
%{_mandir}/man1/POST.1p*
%{_mandir}/man1/lwp-*.1p*
%{_mandir}/man3/LWP*.3pm*
%{_mandir}/man3/lwpcook.3pm*
%{_mandir}/man3/lwptut.3pm*
%changelog
* Sat Jun 22 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-libwww.git;a=log;h=master

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> f387c65
- updated to 6.05

* Fri Jun 01 2012 Jakub Bogusz <qboosh@pld-linux.org> e449139
- updated to 6.04

* Thu Nov 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 90f7b15
- updated to 6.03

* Wed Apr 13 2011 Caleb Maclennan <caleb@alerque.com> a364137
- Up to 6.02

* Sun Mar 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 3e6aff4
- updated to 6.01 (classes outside LWP:: namespace have been separated)
- top-level vendorlib/LWP dir now belongs to (separated as well) perl-LWP-MediaTypes

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> 64e31c1
- Up to 5.837

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 38c7311
- release 2

* Wed May 19 2010 sparky <sparky@pld-linux.org> 7780020
- use source0 uri that works on cpan mirrors

* Wed May 19 2010 Jakub Bogusz <qboosh@pld-linux.org> 58e09e5
- updated to 5.836

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 1de97fd
- updated to 5.833

* Tue Sep 15 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1942c0b
- up to 5.831

* Fri Dec 12 2008 radek <radek@pld-linux.org> bae2fe9
- version 5.822

* Fri Jul 18 2008 Adam Gołębiowski <adamg@pld-linux.org> 778a050
- updated to 5.813

* Mon Mar 24 2008 Elan Ruusamäe <glen@pld-linux.org> 629b054
- release 3

* Mon Mar 24 2008 Elan Ruusamäe <glen@pld-linux.org> 46b84e6
- suggests ssl module for https://

* Mon Mar 24 2008 Elan Ruusamäe <glen@pld-linux.org> d2d1125
- adapter

* Wed Dec 19 2007 zbyniu <zbyniu@pld-linux.org> 0a7526e
- up to 5.808

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5f0e628
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 4dcbc77
- converted to UTF-8

* Mon Jan 30 2006 migo <migo@pld-linux.org> bb876e3
- up to 5.805

